POSTstatus

NEAR Mainnethttps://near-mainnet.nodit.io/

Returns the chain ID, genesis hash, protocol versions, node software version, and latest block sync information.

This method takes no parameters; send an empty array [] as params. Information that identifies the node (node and validator public keys, validator list, RPC address, uptime) is not included in the response. To get the validator list, use the validators method. The method may return NODE_IS_SYNCING while the node is syncing, or NO_NEW_BLOCKS when the node is not receiving new blocks.

Request Body
jsonrpcstringrequired
idstringrequired

Request ID. Any string; it is returned unchanged in the response.

methodstringrequired
paramsobject[]required

No parameters. Send an empty array [].

Responses
jsonrpcstring

JSON-RPC version

idstring

Request ID

chain_idstring

Chain ID. mainnet for Mainnet.

genesis_hashstring

Base58-encoded 32-byte hash (block hash, chunk hash, transaction hash, etc.).

Example: 8EjuQRnAJiWkRmqxfexQFJWXXonuSMbz5AZziJLCWnWS

latest_protocol_versioninteger

The latest protocol version the node software supports.

protocol_versioninteger

The protocol version currently active on the network.

sync_infoobject

The node's block sync status.

latest_block_hashstring

Base58-encoded 32-byte hash (block hash, chunk hash, transaction hash, etc.).

Example: 8EjuQRnAJiWkRmqxfexQFJWXXonuSMbz5AZziJLCWnWS

latest_block_heightinteger

Block height.

Example: 220785385

latest_state_rootstring

State root hash of the latest block (base58).

latest_block_timestring

Timestamp of the latest block (ISO 8601, UTC).

syncingboolean

true if the node is still syncing.

earliest_block_hashstring

Hash of the earliest block the node retains (base58).

earliest_block_heightinteger

Height of the earliest block the node retains.

earliest_block_timestring

Timestamp of the earliest block the node retains (ISO 8601, UTC).

epoch_idstring

Current epoch ID (base58). The ID of epoch T is the hash of the last block of epoch T-2.

epoch_start_heightinteger

Block height at which the current epoch started.

versionobject

Version information of the node software (nearcore).

versionstring

nearcore version.

buildstring

Build identifier.

rustc_versionstring

Rust compiler version used for the build.

namestring (enum)

Error class. REQUEST_VALIDATION_ERROR (invalid request), HANDLER_ERROR (processing error), INTERNAL_ERROR (node internal error)

causeobject

The specific cause of the error.

namestring

Name of the error cause (e.g. UNKNOWN_BLOCK, UNKNOWN_ACCOUNT, PARSE_ERROR)

infoobject

Additional information about the error (block hash, height, account ID, etc.)

codeinteger

Legacy JSON-RPC error code (e.g. -32000 server error, -32700 parse error, -32601 method not found)

messagestring

Legacy error message

datastring

Legacy error details

X-API-KEY
RequestCU10
cURL
curl -X POST "https://near-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": "dontcare",
    "method": "status"
  }'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": "dontcare",
  "result": {
    "chain_id": "mainnet",
    "genesis_hash": "EPnLgE7iEq9s7yTkos96M3cWymH5avBAPm3qx3NXqR8H",
    "latest_protocol_version": 86,
    "protocol_version": 86,
    "sync_info": {
      "earliest_block_hash": "FPCBfzCwcu6URU9zHetmNZV2qeTo1xWDVYGBYg8JjeXR",
      "earliest_block_height": 220679011,
      "earliest_block_time": "2026-10-19T16:06:55.243323368Z",
      "epoch_id": "8nD4ksRUJxEvy6E1MW3ySPrLjMq3CQsyXV7cFWvygF84",
      "epoch_start_height": 220765934,
      "latest_block_hash": "5StCfNcU1w4g9Q3CVQjVjtfnTnRywp1gY5WzASUNGJXW",
      "latest_block_height": 220785296,
      "latest_block_time": "2026-10-20T09:34:45.004573973Z",
      "latest_state_root": "68BESfKjUTNQzNmA1np8cQ92M2poPBLKPDbuQaXFRJ44",
      "syncing": false
    },
    "version": {
      "build": "2.13.4",
      "rustc_version": "1.93.0",
      "version": "2.13.4"
    }
  }
}

Last updated